%define module_name Unicode-String

Name: perl-%module_name
Version: 2.06
Release: alt2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: Perl module to represent strings of Unicode chars 
Group: Development/Perl
License: GPL
Source: http://www.cpan.org/modules/by-module/%module_dir/%module_name-%version.tar.gz

# Automatically added by buildreq on Mon Nov 04 2002
BuildRequires: perl-devel

%description
Perl module to represent strings of Unicode chars. They were made before
perl included native UTF8 support.

%package -n perl-Unicode-CharName
Summary: Perl module to look up character names.
Group: Development/Perl

%description -n perl-Unicode-CharName
Perl module to look up character names. They were made before perl
included native UTF8 support.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files 
%doc README Changes
%perl_vendor_archlib/Unicode*
%perl_vendor_autolib/Unicode*
%perl_vendor_man3dir/*
%exclude %perl_vendor_archlib/Unicode/CharName.pm
%exclude %perl_vendor_man3dir/*CharName*

%files -n perl-Unicode-CharName
%perl_vendor_archlib/Unicode/CharName.pm
%perl_vendor_man3dir/*CharName*

%changelog
* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.06-alt2
- rebuild with new perl

* Thu Jan 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.06-alt1
- First build for Sisyphus.
